"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libjava' }"

Object subclass:#JavaLocalVariableTableEntry
	instanceVariableNames:'startPC length name signature slot'
	classVariableNames:''
	poolDictionaries:''
	category:'Languages-Java-Support'
!

!JavaLocalVariableTableEntry class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 1996-2011 by Claus Gittinger

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!JavaLocalVariableTableEntry methodsFor:'accessing'!

endPC
    ^ startPC + length - 1

    "Created: / 8.1.1998 / 18:40:56 / cg"
!

name
    ^ name

    "Created: / 8.1.1998 / 18:41:03 / cg"
!

slot
    ^ slot

    "Created: / 8.1.1998 / 18:40:45 / cg"
!

startPC
    ^ startPC

    "Created: / 8.1.1998 / 18:40:27 / cg"
! !

!JavaLocalVariableTableEntry methodsFor:'printing'!

displayString
    ^ '[slot: ' , slot displayString 
      , ' name: ', name  
      , ' from: ' , startPC printString
      , ' to:' , (startPC+length-1) printString
      , ']'

    "Created: / 8.1.1998 / 18:32:30 / cg"
!

printOn: aStream

    aStream nextPutAll: self displayString

    "Created: / 23-11-2010 / 19:45:25 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!JavaLocalVariableTableEntry methodsFor:'private accessing'!

startPC:start_pc length:l name:nm signature:sig slot:sl
    startPC := start_pc.
    length := l.
    name := nm.
    signature := sig.
    slot := sl

    "Created: 6.5.1996 / 11:18:14 / cg"
! !

!JavaLocalVariableTableEntry class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libjava/JavaLocalVariableTableEntry.st,v 1.9 2011-11-24 11:33:13 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libjava/JavaLocalVariableTableEntry.st,v 1.9 2011-11-24 11:33:13 cg Exp $'
!

version_SVN
    ^ 'Id: JavaLocalVariableTableEntry.st,v 1.8 2011/08/18 18:42:48 vrany Exp '
! !
